Skip to main content
`Ctrl`+`K`

# PetscCDFConstant1D

CDF for the uniform distribution in 1D

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscCDFConstant1D(const PetscReal x[], const PetscReal dummy[], PetscReal p[])

Not Collective

## Input Parameters

- x - Coordinate in \([-1, 1]\)

- dummy - Unused

## Output Parameter

- p - The cumulative probability at `x`

## See Also

`PetscPDFConstant1D()`, `PetscPDFSampleConstant1D()`, `PetscCDFConstant2D()`, `PetscCDFConstant3D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages